Consigli sull'aggiornamento a Joomla 3.6.5

Informazioni utili
Da alcune settimane è disponibile l'aggiornamento Joomla 3.6.5 che corregge alcuni bug di sicurezza, ma questo aggiornamento introduce anche un problemino nel form di registrazioni utenti, vediamo di cosa si tratta...

Per correggere questa importante falla di sicurezza che riguarda tutte le versioni di Joomla dalla 1.6 alla 3.6.4 il team di Joomla è intervenuto con l'aggiornamento 3.6.5 nel codice del componente che gestisce la procedura di registrazione.

Ma aggiornando alla 3.6.5 è noto un problema con il plugin "User - Profile" utilizzato per ampliare i campi presenti nella registrazione utenti. Se nel vostro sito avete attivato la registrazione utenti ed attivato anche questo plugin (di default è disattivato) non viene più correttamente visualizzato nel form di registrazione se i campi sono "Obbligatori". I campi impostati come Obbligatori appaiono nel form in frontend come Facoltativi nel testo, ma poi danno errore se non compilati perchè per il sistema sono Obbligatori come impostati in amministrazione.

Il campo "Termini di utilizzo" appare invece correttamente obbligatorio con il relativo asterisco di riferimento, ma non è più presente il link al relativo articolo con i termini di servizio. Mentre i campi testuali, nell'esempio qui a fianco il campo telefono e sito, appaiono come facoltativi anche se in amministrazione sono impostati come Obbligatori.

Se poi l'utente che sta compilando il form di registrazione non compila questi campi riceverà all'invio il messaggio di errore per questi campi non compilati.

Non è ancora nota una soluzione a questo problema e non è chiaro se il team di sviluppo di Joomla abbia intenzione di rilasciare l'aggiornamento 3.6.6 che risolve tale bug.
Se utilizzate questa caratteristica in fase di registrazione utenti è consigliato quindi impostare temporaneamente tutti i campi aggiuntivi come "facoltativi" tranne quello dei termini di utilizzo. Così da non creare confusione nella procedura di registrazione.

Joomla 2.5

Dal Team di VirtueMart arriva una patch non ufficiale per correggere il recente problema di sicurezza di Joomla (risolto con la 3.6.5) anche nella versione 2.5.28

 

CommentaCommenta questo articolo sul forum
Ho scritto e condiviso questo articolo su Joomla.it, fallo anche tu. Invia ora un nuovo articolo!
Alessandro Rossi (AlexRed)
Alcune informazioni su di me:
Esperto in Ozio. Sono uno degli amministratori di Joomla.it. Ho fondato nel 2006 Joomlahost, il primo hosting italiano dedicato a Joomla! Vivo e lavoro a Fuerteventura. Titolare della Open Source Solutions SL che sviluppa anche la Ozio Gallery.


Ho anche scritto: